package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BnlVo extends BaseEntity {
    //唯一ID号 主键
    private String inr;

    //参与机构行号
    private String fqcyjg;

    //参与机构类别
    private String jigulb;

    //行别代码
    private String hanbdm;

    //所属�'参行号
    private String fqzjjg;

    //所属法人
    private String frdbmc;

    //本行上级参与机构
    private String bhsjcy;

    //承接行行号
    private String cjjghh;

    //管辖人行行号
    private String gxrhhh;

    //CCPC代码
    private String jieddm;

    //发报中心代码
    private String rhdqdm;

    //参与机构全称
    private String fukrhm;

    //加入业务系统标识
    private String canssj;

    //加入二代系统标识
    private String canybz;

    //当前机构状态
    private String canjcc;

    //电话、电挂
    private String dihdig;

    //生效或失效期号
    private long benqqs;

    //备用日期
    private String beiyrq;

    //备用标志1
    private String bybz01;

    //备用信息1
    private String xinx01;

    //�'护柜员
    private String weihgy;

    //�'护日期
    private String weihrq;

    //时�' 戳
    private long shjnch;

    //记录状态
    private String jiluzt;

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getFqcyjg() {
        return fqcyjg;
    }

    public void setFqcyjg(String fqcyjg) {
        this.fqcyjg = fqcyjg;
    }

    public String getJigulb() {
        return jigulb;
    }

    public void setJigulb(String jigulb) {
        this.jigulb = jigulb;
    }

    public String getHanbdm() {
        return hanbdm;
    }

    public void setHanbdm(String hanbdm) {
        this.hanbdm = hanbdm;
    }

    public String getFqzjjg() {
        return fqzjjg;
    }

    public void setFqzjjg(String fqzjjg) {
        this.fqzjjg = fqzjjg;
    }

    public String getFrdbmc() {
        return frdbmc;
    }

    public void setFrdbmc(String frdbmc) {
        this.frdbmc = frdbmc;
    }

    public String getBhsjcy() {
        return bhsjcy;
    }

    public void setBhsjcy(String bhsjcy) {
        this.bhsjcy = bhsjcy;
    }

    public String getCjjghh() {
        return cjjghh;
    }

    public void setCjjghh(String cjjghh) {
        this.cjjghh = cjjghh;
    }

    public String getGxrhhh() {
        return gxrhhh;
    }

    public void setGxrhhh(String gxrhhh) {
        this.gxrhhh = gxrhhh;
    }

    public String getJieddm() {
        return jieddm;
    }

    public void setJieddm(String jieddm) {
        this.jieddm = jieddm;
    }

    public String getRhdqdm() {
        return rhdqdm;
    }

    public void setRhdqdm(String rhdqdm) {
        this.rhdqdm = rhdqdm;
    }

    public String getFukrhm() {
        return fukrhm;
    }

    public void setFukrhm(String fukrhm) {
        this.fukrhm = fukrhm;
    }

    public String getCanssj() {
        return canssj;
    }

    public void setCanssj(String canssj) {
        this.canssj = canssj;
    }

    public String getCanybz() {
        return canybz;
    }

    public void setCanybz(String canybz) {
        this.canybz = canybz;
    }

    public String getCanjcc() {
        return canjcc;
    }

    public void setCanjcc(String canjcc) {
        this.canjcc = canjcc;
    }

    public String getDihdig() {
        return dihdig;
    }

    public void setDihdig(String dihdig) {
        this.dihdig = dihdig;
    }

    public long getBenqqs() {
        return benqqs;
    }

    public void setBenqqs(long benqqs) {
        this.benqqs = benqqs;
    }

    public String getBeiyrq() {
        return beiyrq;
    }

    public void setBeiyrq(String beiyrq) {
        this.beiyrq = beiyrq;
    }

    public String getBybz01() {
        return bybz01;
    }

    public void setBybz01(String bybz01) {
        this.bybz01 = bybz01;
    }

    public String getXinx01() {
        return xinx01;
    }

    public void setXinx01(String xinx01) {
        this.xinx01 = xinx01;
    }

    public String getWeihgy() {
        return weihgy;
    }

    public void setWeihgy(String weihgy) {
        this.weihgy = weihgy;
    }

    public String getWeihrq() {
        return weihrq;
    }

    public void setWeihrq(String weihrq) {
        this.weihrq = weihrq;
    }

    public long getShjnch() {
        return shjnch;
    }

    public void setShjnch(long shjnch) {
        this.shjnch = shjnch;
    }

    public String getJiluzt() {
        return jiluzt;
    }

    public void setJiluzt(String jiluzt) {
        this.jiluzt = jiluzt;
    }
}
